osmo_signalfd Struct Reference
Select loop abstraction

`#include <select.h>`

## Data Fields

struct osmo_fd | ofd
sigset_t | sigset
osmo_signalfd_cb * | cb
void * | data

## Field Documentation

## cb

osmo_signalfd_cb* osmo_signalfd::cb

Referenced by osmo_signalfd_setup(), and signalfd_callback().

## data

void* osmo_signalfd::data

Referenced by osmo_signalfd_setup().

## ofd

struct osmo_fd osmo_signalfd::ofd

Referenced by osmo_signalfd_setup(), and signalfd_callback().

## sigset

sigset_t osmo_signalfd::sigset

Referenced by osmo_signalfd_setup().

The documentation for this struct was generated from the following file:

- include/osmocom/core/select.h